<!DOCTYPE html>
<html>

<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title><%= htmlWebpackPlugin.options.title %></title>
    <link href="https://fonts.googleapis.com/css?family=Roboto&display=swap" rel="stylesheet">

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
</head>

<body>
    <div class="overlay" style="display: none;">
        <div class="d-flex justify-content-center align-items-center" style="height: 100%;">
            <!-- <div class="spinner-grow" id="spinner" role="status"> 
                <span class="sr-only">Loading...</span> 
            </div>  -->
            <h3><b>SOLVING</b></h3>
        </div>
    </div>
    <div class="d-flex flex-column" style="height: 100%;">
        <div class="d-flex flex-row" style="height: 100%;">
            <div class="d-flex flex-column" style="flex: 0 1 49%;">
                <label for="theory">Theory :</label>
                <div id="theory" name="theory"></div>
                <label for="myfile">Select a file fot the theory:</label>
                <input type="file" id="inputFile" name="myfile">
            </div>
            <div class="d-flex flex-column result" style="flex: 0 1 49%;">
                <div class="d-flex flex-column result" style="flex-basis: 15%;">
                    <label for="query">Query : ?-</label>
                    <div id="query" name="query"></div>
                    <button class="solve">RUN</button>
                </div>
                <div id="info" style="height: 85%;">
                    <nav class="nav nav-tabs" style="margin-top: 1%;">
                        <li class="nav-item"></li><a class="nav-link" data-toggle="tab" href="#sol-tab">Solutions</a>
                        </li>
                        <li class="nav-item"></li><a class="nav-link" data-toggle="tab" href="#con-tab">Console</a></li>
                        <li class="nav-item"></li><a class="nav-link active" data-toggle="tab"
                            href="#graph-tab">Graph</a></li>
                    </nav>
                    <div class="tab-content" style="height: 90%;">
                        <div id="sol-tab" class="tab-pane fade" style="height: 100%; overflow: auto;">
                            <div id="solutions">
                                <div class="output"></div>
                            </div>
                        </div>
                        <div id="con-tab" class="tab-pane fade" style="height: 100%; overflow: auto;">
                            <div id="console"></div>
                        </div>
                        <div id="graph-tab" class="tab-pane active" style="height: 100%;">
                            <div id="graph" style="height:100%;"></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>

</html>